Class | Sequel::SQL::Window
In: | lib/sequel/sql.rb
Parent: | Expression

A `Window` is part of a window function specifying the window over which the function operates. It is separated from the `WindowFunction` class because it also can be used separately on some databases.

### Methods

new

### Attributes

opts | [R] | The options for this window. Options currently supported:
:frame : | if specified, should be :all, :rows, or a String that is used literally. :all always operates over all rows in the partition, while :rows excludes the current row‘s later peers. The default is to include all previous rows in the partition up to the current row‘s last peer.
:order : | order on the column(s) given
:partition : | partition/group on the column(s) given
:window : | base results on a previously specified named window

### Public Class methods

new(opts={})

Set the options to the options given

[Source]

          # File lib/sequel/sql.rb, line 1551
    1551:       def initialize(opts={})
    1552:         @opts = opts
    1553:       end

[Validate]